Skip to main content
GET
/
artifacts
/
{org}
/
{flow_name}
/
commit_sha
/
{commit_sha}
Get artifacts by commit SHA
curl --request GET \
  --url https://app.kosli.com/api/v2/artifacts/{org}/{flow_name}/commit_sha/{commit_sha} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "fingerprint": "<string>",
    "filename": "<string>",
    "created_at": "<string>",
    "last_modified_at": "<string>",
    "evidence": {},
    "flow_name": "<string>",
    "commit_lead_times": {},
    "build_lead_times": {},
    "trail_name": "<string>",
    "template_reference_name": "<string>",
    "git_commit": "<string>",
    "git_commit_info": {
      "sha1": "<string>",
      "message": "<string>",
      "author": "<string>",
      "author_username": "<string>",
      "branch": "<string>",
      "timestamp": 123,
      "url": "<string>",
      "parents": [
        "<string>"
      ]
    },
    "repo_info": {
      "name": "<string>",
      "url": "<string>",
      "id": "<string>",
      "description": "<string>",
      "provider": "github"
    },
    "commit_url": "<string>",
    "build_url": "<string>",
    "repo_url": "<string>",
    "html_url": "<string>",
    "api_url": "<string>",
    "user_data": null,
    "external_urls": {},
    "annotations": {},
    "state": "COMPLIANT",
    "deployments": [],
    "template": [
      "<string>"
    ],
    "state_info": "<string>",
    "approvals": [
      123
    ],
    "running": [
      "<unknown>"
    ],
    "exited": [
      "<unknown>"
    ],
    "history": [
      "<unknown>"
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
commit_sha
string
required
org
string
required

Query Parameters

trail
string | null

The name of the trail the artifact was reported to.

Response

Successful Response

id
string
required
fingerprint
string
required
Pattern: ^[a-f0-9]{64}$
filename
string
required
created_at
string
required
last_modified_at
string
required
evidence
Evidence · object
required
flow_name
string
required
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
commit_lead_times
Commit Lead Times · object
required
build_lead_times
Build Lead Times · object
required
trail_name
string | null
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
template_reference_name
string | null
Pattern: ^[a-zA-Z0-9\-_]+$
git_commit
string | null
Pattern: ^[a-f0-9]{40}$
git_commit_info
GitCommit · object
repo_info
RepoInfoResponse · object
commit_url
string | null
build_url
string | null
repo_url
string | null
html_url
string | null
api_url
string | null
user_data
unknown
external_urls
External Urls · object
annotations
Annotations · object
state
enum<string> | null
Available options:
COMPLIANT,
NON-COMPLIANT,
INCOMPLETE
deployments
integer[]
template
string[] | null
state_info
string | null
approvals
integer[] | null
running
any[] | null
exited
any[] | null
history
any[] | null
Last modified on April 7, 2026